Bug 129611 - (IT_46195) [PATCH] racoonctl: connect: No such file or directory
[PATCH] racoonctl: connect: No such file or directory
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ipsec-tools (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks: 123574
  Show dependency treegraph
 
Reported: 2004-08-10 17:30 EDT by Uwe Beck
Modified: 2014-03-16 22:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-21 09:40:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Uwe Beck 2004-08-10 17:30:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.4.3)
Gecko/20040803

Description of problem:
racoonctl can administrate a running racoon daemon.
racoonctl from ipsec-tools-0.2.5-0.5 RPM in RHEL3 does not work.

[root]# racoonctl reload-config
 08000000 18f00408
racoonctl: connect: No such file or directory

racoonctl needs the /tmp/.racoon socket to connect the racoon daemon.

There was no "--enable-adminport" use in the
ipsec-tools-0.2.5-0.5.src.rpm spec file for build the daemon and tool.
For racoonctl function the racoon daemon must compile with:

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --exec-prefix=/ \
 --libdir=/%{_lib} \
 --sysconfdir=/etc \
 --mandir=%{_mandir} \
 --with-kernel-headers=`pwd`/kernel-headers \
 --enable-adminport


Version-Release number of selected component (if applicable):
ipsec-tools-0.2.5-0.5

How reproducible:
Always

Steps to Reproduce:
1. start the racoon daemon
2. use racoonctl (racoonctl reload-config)
3.


Actual Results:  racoonctl does not work

Expected Results:  racoonctl should work

Additional info:
Comment 1 Milan Kerslager 2004-08-30 15:19:19 EDT
Confirmed at RHEL3 U2.
Comment 6 David Lehman 2004-11-22 15:27:47 EST
Looking at ipsec-tools-0.2.5/src/racoon/admin.c, I see the following:

        if (com.ac_cmd == ADMIN_RELOAD_CONF) {
                /* reload does not work at all! */
                signal_handler(SIGHUP);
                goto end;
        }


I notice also that the switch statement in signal_handler() doesn't have a case
for SIGHUP, so I suspect this will just get a little further than before and
still not work.
Comment 7 Uwe Beck 2004-11-23 05:00:32 EST
I see. Then it would be better upgrading ipsec-tools to version 0.3
which also have support for the NAT traversal, see #136775. NAT
traversal is a relevant feature we need today.

ipsec-tools-0.3.3-x is already in RHEL4_BETA2.
Comment 8 John Flanagan 2004-12-21 09:40:42 EST
An advisory has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-513.html

Note You need to log in before you can comment on or make changes to this bug.